TMPFILE(3S)

NAME
tmpfile - create a temporary file

SYNOPSIS
#include <stdio.h>

FILE *tmpfile()

DESCRIPTION

tmpfile() creates a temporary file using a name generated by tmpnam(3S), and returns a corresponding FILE pointer. If the file cannot be opened, an error message is printed using perror(3), and a NULL pointer is returned. The file will automatically be deleted when the process using it terminates. The file is opened for update ("w+").

SEE ALSO
creat(2V), unlink(2V), fopen(3V), mktemp(3), perror(3), tmpnam(3S)